POST api/v1/usedcouponcodes/use
Request Information
URI Parameters
None.
Body Parameters
UsedCouponCodeDto| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| Value | string |
None. |
|
| PromotionCode | string |
None. |
|
| CustomerId | globally unique identifier |
None. |
|
| SellerId | globally unique identifier |
None. |
|
| CustomerFirstName | string |
None. |
|
| CustomerLastName | string |
None. |
|
| CustomerDni | string |
None. |
|
| PromotionTitle | string |
None. |
|
| PromotionBeginDate | date |
None. |
|
| PromotionEndDate | date |
None. |
|
| CreationDate | date |
None. |
|
| ServiceDate | date |
None. |
|
| Comments | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "509c6a14-a2ba-4141-997a-966a4d5a9b2f",
"value": "sample string 1",
"promotionCode": "sample string 2",
"customerId": "04154944-f927-43ed-85e7-f8a7b89ee4ee",
"sellerId": "b4ad2dae-c1d1-47b4-a3f9-2a87bd0d2517",
"customerFirstName": "sample string 3",
"customerLastName": "sample string 4",
"customerDni": "sample string 5",
"promotionTitle": "sample string 6",
"promotionBeginDate": "2026-10-22T14:42:53.7881288+00:00",
"promotionEndDate": "2026-10-22T14:42:53.7881288+00:00",
"creationDate": "2026-10-22T14:42:53.7881288+00:00",
"serviceDate": "2026-10-22T14:42:53.7881288+00:00",
"comments": "sample string 8"
}
application/xml, text/xml
Sample:
<UsedCouponCodeDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Domain.Dtos"> <Comments>sample string 8</Comments> <CreationDate>2026-10-22T14:42:53.7881288+00:00</CreationDate> <CustomerDni>sample string 5</CustomerDni> <CustomerFirstName>sample string 3</CustomerFirstName> <CustomerId>04154944-f927-43ed-85e7-f8a7b89ee4ee</CustomerId> <CustomerLastName>sample string 4</CustomerLastName> <Id>509c6a14-a2ba-4141-997a-966a4d5a9b2f</Id> <PromotionBeginDate>2026-10-22T14:42:53.7881288+00:00</PromotionBeginDate> <PromotionCode>sample string 2</PromotionCode> <PromotionEndDate>2026-10-22T14:42:53.7881288+00:00</PromotionEndDate> <PromotionTitle>sample string 6</PromotionTitle> <SellerId>b4ad2dae-c1d1-47b4-a3f9-2a87bd0d2517</SellerId> <ServiceDate>2026-10-22T14:42:53.7881288+00:00</ServiceDate> <Value>sample string 1</Value> </UsedCouponCodeDto>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.